メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.snorbe.deskrex.ai/llms.txt

Use this file to discover all available pages before exploring further.

エージェント実行詳細取得

エージェント実行の完全な詳細情報を返します。プロセスタイムライン全体、リンクされたソース、リンクされたエンティティを含みます。軽量ステータスエンドポイントとは異なり、プロセスイベント配列全体を返します。

リクエスト

GET /api/v1/agent/run/{runId}

パスパラメータ

パラメータ説明
runIdstringエージェント実行 ID

ヘッダー

ヘッダー必須説明
AuthorizationはいBearer snorbe_... 形式の API キー
ワークスペースは API キーに紐づくものが自動的に使用されます。workspaceId パラメータは不要です。
このエンドポイントはプロセスタイムライン全体を返すため、長時間実行されたエージェントでは応答が大きくなる可能性があります。軽量なステータスポーリングには実行ステータス取得エンドポイントを使用してください。

レスポンス

{
  "id": "clrun001",
  "status": "completed",
  "process": [],
  "createdAt": "2026-04-01T09:00:00.000Z",
  "updatedAt": "2026-04-01T09:05:00.000Z",
  "agentId": "clagent001",
  "agentName": "research-agent",
  "linkedSources": [
    {
      "id": "clsrc001",
      "url": "https://example.com/paper",
      "title": "Research Paper",
      "sourceType": "public"
    },
    {
      "id": "clsrc002",
      "url": "https://example.com/report",
      "title": "Industry Report",
      "sourceType": "private"
    }
  ],
  "linkedEntityIds": ["clxxx001", "clxxx002", "clxxx003"],
  "linkedEntities": [
    {
      "id": "clxxx001",
      "label": "Lithium-Ion Battery",
      "category": "technology",
      "kind": "entity"
    },
    {
      "id": "clxxx002",
      "label": "Solid-State Electrolyte",
      "category": "technology",
      "kind": "material"
    }
  ],
  "images": [
    {
      "imageUrl": "https://example.com/photo-1.jpg",
      "thumbnailUrl": "https://example.com/thumb-1.jpg",
      "title": "リチウムイオン電池の構造図",
      "link": "https://example.com/article-1"
    }
  ]
}
エージェント実行が見つからない場合は null を返します。

レスポンスフィールド

フィールド説明
idstringエージェント実行 ID
statusstring実行ステータス(completed, running, error 等)
processobject[]エージェント実行のプロセスイベント配列
createdAtstring実行の作成日時(ISO 8601)
updatedAtstring実行の更新日時(ISO 8601)
agentIdstringこの実行を行ったエージェント ID
agentNamestringエージェント名
linkedSourcesobject[]このエージェント実行で使用されたソース
linkedSources[].idstringソース ID
linkedSources[].urlstringソース URL
linkedSources[].titlestringソースタイトル
linkedSources[].sourceTypestringソース種別(public または private
linkedEntityIdsstring[]このエージェント実行にリンクされたエンティティ ID
linkedEntitiesobject[]このエージェント実行にリンクされたエンティティのサマリー
linkedEntities[].idstringエンティティ ID
linkedEntities[].labelstringエンティティ名
linkedEntities[].categorystringエンティティカテゴリ
linkedEntities[].kindstringエンティティ種別
imagesobject[]process から抽出された画像配列。検索画像 SERP・スキル成果物・ソース要約の bodyLinks 画像を統合(重複排除済み)
images[].imageUrlstring画像 URL
images[].thumbnailUrlstring | undefinedサムネイル URL(Serper 経由のみ存在)
images[].titlestring | undefined画像タイトル / alt
images[].linkstring | undefined元ページの URL
process フィールドは、エージェント実行中に収集されたプロセスイベントの配列です。イベントタイプとペイロードの完全な一覧は、SSE ストリーミングのドキュメントを参照してください。

使用例

curl "https://app.snorbe.deskrex.ai/api/v1/agent/run/clrun001" \
  -H "Authorization: Bearer snorbe_your_api_key_here"

エラーレスポンス

HTTP ステータス説明
401API キーが無効、期限切れ、または未指定
404エージェント実行が見つかりません(null ボディを返します)